package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class StatusMinumAsi
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "StatusMinumAsi_M")
public class StatusMinumAsi extends BaseMaster {
	@NotNull(message = "Kd Status Minum Asi tidak boleh kosong")
	@Column(name = "KdStatusMinumAsi", nullable = false)
	@Caption(value = "Kode Status Minum Asi")
	private Byte kdStatusMinumAsi;

	public void setKdStatusMinumAsi(Byte kdStatusMinumAsi) {
		this.kdStatusMinumAsi = kdStatusMinumAsi;
	}

	public Byte getKdStatusMinumAsi() {
		return this.kdStatusMinumAsi;
	}

	@NotNull(message = "QStatus Minum Asi tidak boleh kosong")
	@Column(name = "QStatusMinumAsi", nullable = false)
	@Caption(value = "QStatus Minum Asi")
	private Byte qStatusMinumAsi;

	public void setqStatusMinumAsi(Byte qStatusMinumAsi) {
		this.qStatusMinumAsi = qStatusMinumAsi;
	}

	public Byte getqStatusMinumAsi() {
		return this.qStatusMinumAsi;
	}

	@NotNull(message = "Status Minum Asi tidak boleh kosong")
	@Column(name = "StatusMinumAsi", nullable = false, length = 30)
	@Caption(value = "Status Minum Asi")
	private String statusMinumAsi;

	public void setStatusMinumAsi(String statusMinumAsi) {
		this.statusMinumAsi = statusMinumAsi;
	}

	public String getStatusMinumAsi() {
		return this.statusMinumAsi;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.statusminumasi_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.statusminumasi_m_id_seq", sequenceName = "public.statusminumasi_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}